ByCloud Docs
GuidesCLIAPISDK
get/v1/volume-types/{volume_type_id}

Get volume type

Get details of a specific volume type

Path Parameters

volume_type_id

string<uuid>required

path

Volume Type ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Responses

200

Volume type details

Content-Type: application/json

volume_type

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
404

Resource not found

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/volume-types/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

Volume type details

{
"volume_type": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:storage:volume-type:550e8400-e29b-41d4-a716-446655440000",
"name": "ssd",
"description": "SSD-backed storage"
}
}